 
function [t,psi]=gabor(n,c,u,f0,csi,phi)
%  n = larghezza intervallo
%  c = campionamento
%  u = latenza
%  f0 = frequenza
%  csi = numero onde
%  phi = fase

t=0:c:n;
sigma=csi/(2*pi*f0);
psi=((pi*sigma^2)^(-1/4)) * exp(2i*pi*f0*(t-u)+1i*phi).*exp(-(((t-u).^2)/(2*sigma^2)));
psi=real(psi);
n=sqrt(sum(psi.^2));
 
psi=psi/n; 
