function [x,D,param]=makeDictionary(N,c)
% [x,D]=makeDictionsry(N,c)
% input
% N intervallo di tempo del segnale
% c campionamento
% output:
% x punti
% D dizionario
y=1;
l=N/c +1;
uv=N/4:c*2:(3/4)*N;
fv=3:20;
cv=1:3;
pv=0:pi/4:pi-pi/4;

lx=length(uv)*length(fv)*length(cv)*length(pv);
D=zeros(lx,l);
h = waitbar(0,'Wait...');
param=[];
for u=uv
    for f=fv
        for csi=cv
            for p=pv 
                [x,D(y,:)]=gabor(N,c,u,f,csi,p);
                waitbar(y/lx,h);
                y=y+1;
                param= [param ; [u,f,csi,p]];
            end;
        end;   
    end;
end;
close(h);

